Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

UpdatePciDeviceSpec

UpdatePciDeviceSpec

PUT/zstack/v1/pci-device-specs/{uuid}/actions

Operation ID

UpdatePciDeviceSpec

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • romContent
    String

    Optional. The ROM content encoded in Base64 format.

  • romVersion
    String

    Optional. The ROM version.

  • abandonSpecRom
    boolean

    Optional. Whether to delete the existing ROM.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PciDeviceSpecInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • vendorId
      StringRequired

      The vendor ID.

    • deviceId
      StringRequired

      The device ID.

    • subvendorId
      StringRequired

      The sub-vendor ID.

    • subdeviceId
      StringRequired

      The sub-device ID.

    • ramSize
      StringRequired

      The RAM size.

    • maxPartNum
      IntegerRequired

      The maximum number of virtual functions.

    • isVirtual
      BooleanRequired

      Whether the device is a virtual device.

    • romVersion
      StringRequired

      The ROM version.

    • romMd5sum
      StringRequired

      The ROM MD5 checksum.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      PciDeviceTypeRequired

      See type.

      • GPU_Video_Controller
        PciDeviceTypeRequired

        The GPU video controller.

      • GPU_Audio_Controller
        PciDeviceTypeRequired

        The GPU audio controller.

      • GPU_3D_Controller
        PciDeviceTypeRequired

        The GPU 3D controller.

      • Moxa_Device
        PciDeviceTypeRequired

        The MOXA card.

      • Generic
        PciDeviceTypeRequired

        The general device.

    • state
      PciDeviceSpecStateRequired

      See state.

      • Enabled
        PciDeviceSpecStateRequired

        The PCI device is enabled.

      • Disabled
        PciDeviceSpecStateRequired

        The PCI device is disabled.